Pular para o conteúdo

Create quote collection

Requisição

Creates a collection of quotes for a proposed payment.

Segurança
Bearer
Corpoapplication/jsonobrigatório

Create quote collection request

quoteAmountnumber, (double), >= 1obrigatório

The amount for which you wish to receive a collection of quotes.

Exemplo:123.45
quoteAmountTypestringobrigatório

The type of amount for which you want to get a quote.

Padrão:"SOURCE_AMOUNT"
Enum ValueDescription
SOURCE_AMOUNT

Specify this value to get a quote for the amount that you want to send.

DESTINATION_AMOUNT

Specify this value to get a quote for the amount that the beneficiary should receive.

sourceCurrencystring^[a-zA-Z]{3,5}$obrigatório

The currency code of the currency that you are sending.

Exemplo:"USD"
destinationCurrencystring^[a-zA-Z]{3,5}$obrigatório

The currency code of the currency in which your beneficiary will receive this payment.

Exemplo:"MXN"
sourceCountrystring^[a-zA-Z]{2}$

The country code of the country from where you are sending the funds. This is an ISO 3166-1 alpha-2 code.

Exemplo:"US"
destinationCountrystring^[a-zA-Z]{2}$

The country where the beneficiary is located specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list. If the beneficiary is an individual, then this value is their country of residence. If the beneficiary is an institution, then this value is their country of incorporation.

Required for a fiat payout; omitting it returns USR_017. Ignored for a stablecoin payout.

Exemplo:"PH"
payoutCategorystring, [ 1 .. 128 ] charactersobrigatório

The name of the payout category.

Enum ValueDescription
BANK

Indicates that the payout will be made in fiat currency to a recipient's bank account through local banking rails.

CRYPTO

Indicates that the payout will be made in stablecoin to a recipient's crypto wallet address.

Exemplo:"BANK"
payinCategorystring, [ 1 .. 128 ] charactersobrigatório

The name of the pay in category indicating how this payment will be funded. The values FUNDED and T_PLUS_ONE are deprecated and will be removed in a future release.

Enum ValueDescription
PRE_FUNDING

Indicates that the payment is being made from funds you've deposited with Ripple.

CREDIT_FUNDING

Indicates the payment is being made and you will pay the outstanding invoice.

JIT_FUNDING

Indicates that the payment is being made and you will pay the outstanding amount before the payment expires.

FUNDED

Indicates that the payment is being made from funds you've deposited with Ripple.

T_PLUS_ONE

Indicates the payment is being made and you will pay the outstanding invoice.

Exemplo:"PRE_FUNDING"
destinationBlockchainNetworkstring, [ 1 .. 20 ] characters

The name of the blockchain network on which the beneficiary will receive this payment. Required for a stablecoin payout; omitting it returns USR_017.

Exemplo:"Ethereum"
curl -i -X POST \
  https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2026.03/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/quote-collection \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteAmount": 123.45,
    "quoteAmountType": "SOURCE_AMOUNT",
    "sourceCurrency": "USD",
    "destinationCurrency": "MXN",
    "sourceCountry": "US",
    "destinationCountry": "PH",
    "payoutCategory": "BANK",
    "payinCategory": "PRE_FUNDING",
    "destinationBlockchainNetwork": "Ethereum"
  }'

Respostas

Creates a collection of quotes

Corpoapplication/json
quoteCollectionIdstring, (uuid), [ 1 .. 36 ] charactersobrigatório

Unique ID that represents this quote collection.

Exemplo:"11111111-aaaa-2222-bbbb-222222222222"
quotesArray of objects, >= 0 itemsobrigatório

List of quotes

Resposta
{ "quoteCollectionId": "11111111-aaaa-2222-bbbb-222222222222", "quotes": [ { … } ] }